Debian DLA-3176-1:clickhouse - LTS セキュリティ更新

high Nessus プラグイン ID 167202

概要

リモートの Debian ホストにセキュリティ関連の更新プログラムがありません。

説明

リモートの Debian 10 ホストには、dla-3176 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- 悪意のあるクエリを解析する際の Clickhouse の LZ4 圧縮コーデックにおけるヒープ領域外読み取り。LZ4: : decompressImpl() ループの一部として、ユーザー指定の 16 ビット値 (「オフセット」) が圧縮データから読み取られます。オフセットは、コピー操作のソースの上限をチェックせずに、後でコピー操作の長さで使用されます。(CVE-2021-42387)

- 悪意のあるクエリを解析する際の Clickhouse の LZ4 圧縮コーデックにおけるヒープ領域外読み取り。LZ4: : decompressImpl() ループの一部として、ユーザー指定の 16 ビット値 (「オフセット」) が圧縮データから読み取られます。オフセットは、コピー操作のソースの下限をチェックせずに、後でコピー操作の長さで使用されます。(CVE-2021-42388)

- 悪意のあるクエリを解析する際の Clickhouse の LZ4 圧縮コーデックにおけるヒープバッファオーバーフロー。LZ4: : decompressImpl ループのコピー操作、特に任意のコピー操作 wildCopy<copy_amount>(op、ip、copy_end) が宛先バッファの制限を超えないことの検証はありません。
(CVE-2021-43304)

- 悪意のあるクエリを解析する際の Clickhouse の LZ4 圧縮コーデックにおけるヒープバッファオーバーフロー。LZ4: : decompressImpl ループのコピー操作、特に任意のコピー操作 wildCopy<copy_amount>(op、ip、copy_end) が宛先バッファの制限を超えないことの検証はありません。この問題は CVE-2021-43304とよく似ていますが、脆弱なコピー操作が別の wildCopy 呼び出しにあります。(CVE-2021-43305)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

clickhouse パッケージをアップグレードしてください。

Debian 10 buster では、これらの問題はバージョン 18.16.1+ds-4+deb10u1 で修正されています。

関連情報

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1008216

https://security-tracker.debian.org/tracker/source-package/clickhouse

https://www.debian.org/lts/security/2022/dla-3176

https://security-tracker.debian.org/tracker/CVE-2021-42387

https://security-tracker.debian.org/tracker/CVE-2021-42388

https://security-tracker.debian.org/tracker/CVE-2021-43304

https://security-tracker.debian.org/tracker/CVE-2021-43305

https://packages.debian.org/source/buster/clickhouse

プラグインの詳細

深刻度: High

ID: 167202

ファイル名: debian_DLA-3176.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/11/9

更新日: 2022/11/9

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.5

Temporal Score: 4.8

ベクトル: AV:N/AC:L/Au:S/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-43305

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:clickhouse-client, p-cpe:/a:debian:debian_linux:clickhouse-common, p-cpe:/a:debian:debian_linux:clickhouse-server, p-cpe:/a:debian:debian_linux:clickhouse-tools, cpe:/o:debian:debian_linux:10.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/7

脆弱性公開日: 2022/3/14

参照情報

CVE: CVE-2021-42387, CVE-2021-42388, CVE-2021-43304, CVE-2021-43305